#
# spec file for package dockutils (Version 0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dockutils
Version:        0.1
Release:        16.3
Summary:        Dockingstation support
Group:          System/Base
License:        GNU General Public License (GPL)
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dockutils is a collection of scripts providing an infrastructure to
easily trigger actions on docking/undocking requests for different
laptops and vendors.



Authors:
--------
    Holger Macht <holger@homac.de>

%debug_package
%prep
%setup -q

%build

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/dockutils
/etc/acpi

%_sbindir/docker

%changelog -n dockutils
* Thu Jan 11 2007 - hmacht@suse.de
- merge patch by seife back into tarball
- dockutils tries to address the following bugs/ feature requests:
  novell bug 196884, fate 301142, 300334 und 301416
* Wed Nov 15 2006 - seife@suse.de
- the last fix was wrong, the bug is invalid.
* Wed Nov 15 2006 - seife@suse.de
- fix rescanning of the scsi busses (novell bug 221311)
* Sun Nov 12 2006 - hmacht@suse.de
- fix path to dockhandler (novell bug 220204)
* Mon Nov 06 2006 - hmacht@suse.de
- fix acpid event config to also get ibm/dock events
* Mon Nov 06 2006 - hmacht@suse.de
- initial checkin
